dspam_clean(1)

NAME
dspam_clean - perform periodic maintenance of metadata

SYNOPSIS
dspam_clean [--profile =PROFILE] [-s[signature_life] ] [-p[probability_life] ] [-u[sl,hcl,shl,ihl] ] [user1 user2 ... userN ]

DESCRIPTION

dspam_clean is used to perform periodic housecleaning on DSPAM's metadata dictionary by deleting old or useless data. dspam_clean has no effect if you use the "hash" storage driver. In that case, you should use the tools cssclean and csscompress (which do not currently have manual pages).

OPTIONS

--profile=PROFILE
    Specify a storage profile from dspam.conf. The storage profile selected will be used for all database connectivity. See dspam.conf for more information.

-s  Performs stale signature purging. If a value is specified, the default value of 14 days will be overridden. Specifying an age of 0 will delete all signatures from the user(s) processed.

-p  Deletes all tokens from the target user(s) database whose probability is between 0.35 and 0.65 (fairly neutral, useless data). If a value is specified, the default life of 30 days will be overridden. It's a good idea to use this flag once with a life of 0 days for users after a significant amount of corpus training.

-u  Deletes all unused tokens from a user's dataset. Four different life values are used: sl Stale tokens which have not been used for a long period of time hcl Tokens with a total hit count below 5 (which will be assigned a hapaxial value by DSPAM) shl Tokens witha single spam hit ihl Tokens with a single innocent hit Ages may be overridden by specifying a format string, such as -u30,15,10,10 where each number represents the respective life. Specifying a life of zero will delete all unused tokens in the category.

user1 user2 ... userN
    Specify the username(s) to perform the selected maintenance operations on. If no username is specified, all users are processed.

EXIT VALUE

0   Operation was successful.
other
    Operation resulted in an error.

COPYRIGHT
Copyright © 2002-2012 DSPAM Project
All rights reserved.
For more information, see http://dspam.sourceforge.net.

SEE ALSO
dspam(1), dspam_admin(1), dspam_crc(1), dspam_dump(1), dspam_logrotate(1), dspam_merge(1), dspam_stats(1), dspam_train(1)